// genericInstaller -- update windows and office
//
// Copyright (C) 2008
// Wolfgang Formann
//
// this file is part of the programm genericInstaller.  This program is
// free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your
// option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include "InsensitiveCheckBox.h"

#include <Qt/qevent.h>
#ifndef NDEBUG
#include <iostream>
#endif

InsensitiveCheckBox::InsensitiveCheckBox(Qt::CheckState state, bool isInsensitive)
	: QCheckBox(),
      _isInsensitive(isInsensitive)
{
    setCheckState(state);
}

InsensitiveCheckBox::~InsensitiveCheckBox()
{
}

bool InsensitiveCheckBox::event(QEvent *e)
{
    if(_isInsensitive) {
        switch(e->type()) {
        case QEvent::FocusIn:
    //    case QEvent::FocusOut:
        case QEvent::HoverMove:
        case QEvent::HoverLeave:
        case QEvent::HoverEnter:
        case QEvent::TabletMove:
        case QEvent::TabletPress:
        case QEvent::TabletRelease:
        case QEvent::KeyPress:
        case QEvent::KeyRelease:
        case QEvent::Enter:
        case QEvent::Leave:
        case QEvent::MouseButtonDblClick:
        case QEvent::MouseButtonPress:
        case QEvent::MouseButtonRelease:
        case QEvent::MouseMove:
        case QEvent::MouseTrackingChange:
            return true;
        default:
#ifndef NDEBUG
//            std::cerr << "Event: " << e->type() << std::endl;
#endif
            ;
        }
    }
    return QCheckBox::event(e);
}


#include "InsensitiveCheckBox.moc"
