#ifndef InstallProcess_h
// genericInstaller -- update windows and office
//
// Copyright (C) 2008
// Wolfgang Formann
//
// this file is part of the programm genericInstaller.  This program is
// free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your
// option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#define InstallProcess_h

#include <Qt/qprocess.h>

#ifdef Q_OS_WIN
#	include <windows.h>
#	include <winuser.h>
#endif

class InstallData;
class InstallPage;
class QTimer;

class InstallProcess : public QProcess
{
	Q_OBJECT

public:
    InstallProcess(InstallPage *parent,  std::list<InstallData *>::iterator it, bool withWindow);
    ~InstallProcess();

    void run();

private slots:
    void didInstall(int exitCode, QProcess::ExitStatus exitStatus);
    void hideMe();
    void closeWindowClass();
    void timeoutInstallation();

private:
    std::list<InstallData *>::iterator _it;
#ifdef Q_OS_WIN
    std::list<HWND> _windows;
#endif
    InstallPage *_parent;
    QTimer *_minimizer;
    QTimer *_timeout;
    QTimer *_checkCloseWindowClass;
    bool _withWindow;
};

#endif
