// genericInstaller -- update windows and office
//
// Copyright (C) 2008
// Wolfgang Formann
//
// this file is part of the programm genericInstaller.  This program is
// free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your
// option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef OSOfficeSwitch_h
#define OSOfficeSwitch_h

#include "WindowLeftLargeLogoPage.h"
#include "InstallData.h"

class QRadioButton;
class QLabel;
class InstallDataBlock;

class OSOfficeSwitch : public WindowLeftLargeLogoPage
{
  	Q_OBJECT
  
public:
    OSOfficeSwitch(MyWindow *mainWindow);
    ~OSOfficeSwitch();

    void setAlternateText();
    void nextPage(applyValue SkipOverPackageSet);
    applyValue getNextPage(applyValue SkipOverPackageSet);
    void doNextPage(applyValue packageSet);

private slots:
	void nextPage();
	void selectUpdate(bool dummy);
    void markUnneeded(InstallDataBlock *theBlock, char const *stringPart);

private:
    QLabel *_messageWindows;
    QRadioButton *_windowsUpdate;
    QLabel *_messageOffice;
    QRadioButton *_officeUpdate;
};

#endif
