// genericInstaller -- update windows and office
//
// Copyright (C) 2008
// Wolfgang Formann
//
// this file is part of the programm genericInstaller.  This program is
// free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your
// option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include <assert.h>

#include "Page3.h"

#include "MyWindow.h"

#include <Qt/qlayout.h>
#include <Qt/qlabel.h>
#include <Qt/qpushbutton.h>
#include <Qt/qstackedlayout.h>

Page3::Page3(MyWindow *mainWindow)
	: WindowLeftLargeLogoPage(mainWindow, false, false, true)
{
    // the individual part of page 3
    _layoutTopRightPage->addSpacing(90);
    _layoutTopRightPage->addStretch(1);

    _exitMessage = new QLabel("Bitte klicken Sie auf \"Beenden\" und starten Sie anschlieend Ihren "
                              "Computer neu."
                              "\n\n"
                              "Das Herunterfahren des Computers kann etwas lnger dauern. Bitte haben Sie Geduld.");
    connect(_exitMessage, SIGNAL(linkActivated(const QString&)), _parentWindow, SLOT(browseTo(const QString&)));

    QFont f(_exitMessage->font());
    f.setBold(true);
    if(f.pixelSize() == -1) {
        if(f.pointSize() == -1)
            assert(0);
        f.setPointSize(f.pointSize() + 2);
    }
    else {
        f.setPixelSize(f.pixelSize() + 2);
    }
    _exitMessage->setFont(f);
    _exitMessage->setWordWrap(true);
    _layoutTopRightPage->addWidget(_exitMessage);
    _layoutTopRightPage->addStretch(2);

	_next->setText("&Neu starten");
    connect(_next, SIGNAL(clicked()), _parentWindow, SLOT(doRebootAction()));
}

Page3::~Page3()
{
}

void Page3::setAlternateText(InstallDataBlock const *installBlock)
{
    if(!installBlock->getEndMessage().isEmpty())
        _exitMessage->setText(installBlock->getEndMessage());
    else
        _exitMessage->setText("Bitte klicken Sie auf \"Beenden\" und starten Sie anschlieend Ihren "
                              "Computer neu."
                              "\n\n"
                              "Das Herunterfahren des Computers kann etwas lnger dauern. Bitte haben Sie Geduld.");
}

#include "Page3.moc"
