// genericInstaller -- update windows and office
//
// Copyright (C) 2008
// Wolfgang Formann
//
// this file is part of the programm genericInstaller.  This program is
// free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your
// option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include "WindowLeftLargeLogoPage.h"

#include <Qt/qlayout.h>
#include <Qt/qlabel.h>

#ifdef Q_OS_WIN
#	include <malloc.h>
#	include <windows.h>
#	include <io.h>
#	include <tchar.h>
#	include <wininet.h>
#endif

WindowLeftLargeLogoPage::WindowLeftLargeLogoPage(MyWindow *mainWindow, bool abortButton, bool aboutButton, bool nextButton)
	: WindowPage(mainWindow, abortButton, aboutButton, nextButton)
{
	QLabel *logoGraphic = new QLabel();
    if(access("logos/startlogo.png", R_OK) == 0)
        logoGraphic->setPixmap(QPixmap("logos/startlogo.png"));
    else
        logoGraphic->setPixmap(QPixmap(":/images/logo"));
    _layoutTopPage->addWidget(logoGraphic, 0);

    QWidget *theInnerPage = new QWidget();
    _layoutTopRightPage = new QVBoxLayout();
    theInnerPage->setLayout(_layoutTopRightPage);

    _layoutTopPage->addWidget(theInnerPage, 1);
}

WindowLeftLargeLogoPage::~WindowLeftLargeLogoPage()
{
}
