// genericInstaller -- update windows and office
//
// Copyright (C) 2008
// Wolfgang Formann
//
// this file is part of the programm genericInstaller.  This program is
// free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your
// option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef WindowPage_h
#define WindowPage_h

#include <Qt/qwidget.h>

#define PROGRESSMAX 500
class MyWindow;
class QVBoxLayout;
class QHBoxLayout;
class QPushButton;

class WindowPage : public QWidget
{
	Q_OBJECT

public:
    WindowPage(MyWindow *mainWindow, bool abortButton, bool aboutButton, bool nextButton);
    ~WindowPage();

    MyWindow *getParentWindow() {
        return _parentWindow;
    }

private slots:
	void doAbout();

protected:
    MyWindow *_parentWindow;
    QVBoxLayout *_layoutThePage;
    QHBoxLayout *_layoutTopPage;
    QHBoxLayout *_layoutButtons;
    QPushButton *_cancel;
    QPushButton *_about;
    QPushButton *_next;
};

#endif
